{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function get_property, set_property, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nLayerControls = get_property( @window, '@LayerControls' )\r\nLayerPromptCnt = get_property( @window, '@LayerPromptCnt' )\r\nLayerDataOnWindow = get_property( LayerControls,'INVALUE' )\r\nconvert @rm to @fm in LayerDataOnWindow\r\nif LayerDataOnWindow = str( @fm, LayerPromptCnt-1 ) and get_property( @window, '@LayerInfo' ) = '' then\r\n    * no epi information for current RDS layer\r\n    end_dialog( @window, '' )\r\nend else\r\n    if LayerDataOnWindow = str( @fm, LayerPromptCnt-1 ) then\r\n        MsgInfo = ''\r\n        MsgInfo<micon$> = 'H'\r\n        MsgInfo<mtext$> = 'You cannot have a blank RDS layer...'\r\n        Void = msg( '', MsgInfo )\r\n    end else\r\n\t\tCurLayerNo = get_property( @window, '@CurLayer' )\r\n\t\tAllLayers  = get_property( @window, '@LayerInfo' )\r\n\t\tAllLayers = fieldstore( AllLayers, char(248), CurLayerNo, 1, LayerDataOnWindow )\r\n\t\tVoid = set_property( @window, '@LayerInfo', AllLayers )\r\n\t\tLayerInfo = get_property( @window, '@LayerInfo' ) \r\n\t\tconvert @vm to @svm in LayerInfo\r\n\t\tconvert @fm to @vm in LayerInfo\r\n\t    end_dialog( @window, LayerInfo )\r\n\tend\r\nend\r\n\r\nRETURN 0"
        }
    }
}